unit dirform;

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, FileCtrl, ComCtrls;

type
  TFDIRFORM = class(TForm)
    Panel1: TPanel;
    StatusBar1: TStatusBar;
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    Pfad: TLabel;
    Label2: TLabel;
    Panel6: TPanel;
    BT_OK: TButton;
    BT_Cancel: TButton;
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure setpath(Pfad:string);
    function getpath:string;
  end;

var
  FDIRFORM: TFDIRFORM;

implementation

{$R *.DFM}

procedure TFDIRFORM.setpath(Pfad:string);
begin
  if Pfad <> '' then DirectoryListBox1.Directory := Pfad;
end;

function TFDIRFORM.getpath:string;
begin
  result := Pfad.caption;
end;


procedure TFDIRFORM.FormResize(Sender: TObject);
begin
  DriveComboBox1.width := DirectoryListBox1.width;
end;

procedure TFDIRFORM.FormCreate(Sender: TObject);
begin
  DriveComboBox1.width := DirectoryListBox1.width;
end;

end.
